### Type parameters

- #### T

### Hierarchy

- BatchGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- addKeyParams
- exec
- execFullResponse

## Constructors

### constructor

- new BatchGetSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, keys: any[]): BatchGetSingleTableRequest

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:20

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  - ##### keys: any[]

  #### Returns BatchGetSingleTableRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:15

### Private logger

logger: Logger

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:14

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:20

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:17

### params

params: BatchGetItemInput

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:16

### tableName

tableName: string

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:18

## Methods

### Private addKeyParams

- addKeyParams(keys: any[]): void

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:84

  #### Parameters

  - ##### keys: any[]

  #### Returns void

### exec

- exec(): Observable<T[]>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:67

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<BatchGetSingleTableResponse<T>>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:42

  #### Returns Observable<BatchGetSingleTableResponse<T>>

Generated using TypeDoc